Bug 212887 - PHPUnit3 is going to Obsolete PHPUnit 1 and 2
PHPUnit3 is going to Obsolete PHPUnit 1 and 2
Product: Fedora
Classification: Fedora
Component: php-pear-PHPUnit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
Depends On:
Blocks: pear-PHPUnit3
  Show dependency treegraph
Reported: 2006-10-29 18:04 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-08 16:22:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 18:04:57 EST
Description of problem:

I took another look at the PHPUnit3 package, and I think this new version 3
package is going to obsolete both the existing PHPUnit and PHPUnit2 packages.  I
am currently trying to push the Testing_Selenium package through for PHPUnit3.

So I think the new PHPUnit3 package should just be called "PHPUnit" and it
Obsoletes both PHPUnit and PHPUnit2.  Please correct me if I'm wrong.  I began
packaging PHPUnit3 and it has both dirs available.

Let me know what you think the best way to proceed would be.  Since you are the
maintainer of PHPUnit and I maintain PHPUnit2 we need to figure out how this
will work when PHPUnit3 is ready.  I'm not sure of the timeline, but I'd like to
come up with a way to do this in "devel" as soon as possible because one of my
packages requires PHPUnit3 and its holding things up.

I also have to figure out how to add a new pear channel as PHPUnit3 uses its own
channel to install, so we should probably add this channel to the
/usr/share/pear/.channels directory as well some how.  I might need your help in
reviewing PHPUnit3 for me.

Let me know if you have any ideas or comments.  Thanks.
Comment 1 Remi Collet 2006-12-30 11:41:09 EST
Atfer discussion on IRC, we decide to replace the osbolete php-pear-PHPunit
1.3.2 by new 3.0.0.
Comment 2 Christopher Stone 2007-01-08 16:22:41 EST
And there will be a conflicts with phpunit2 until pear 1.5 is built (hopefully
before fc7), then I can change the conflicts to obsolete/provides for phpunit2
as well.  The phpunit channel problem was solved by making a channel rpm.

I'm going to go ahead and close this bug as being fixed in rawhide since we now
have the php-channel-phpunit rpm there.

Note You need to log in before you can comment on or make changes to this bug.